import React, { useState, useEffect } from 'react';
import { Form, Spin } from 'antd';
import Shell from '@/baseComponent/Shell';
import HistoryForm from '@/webPublic/one_stop_public/Entrance/historyForm';
import { getHistoryFormDetail } from '../../Services';
import withGoBack from '@/highOrderComponent/withGoBack';

let DetailPage = ({ form, code }) => {
  const [data, setData] = useState(null);
  const [loading, setLoading] = useState(false);

  useEffect(() => {
    if (typeof code === 'undefined') return;
    setLoading(true);
    getHistoryFormDetail({ code }).then(res => {
      setLoading(false);
      if (res && !res.errMsg) {
        setData(res);
      }
    });
  }, []);

  return (
    <Shell styleShell={{ marginTop: 0 }}>
      <Spin spinning={loading}>
        {data && (
          <HistoryForm
            data={data} // 'affair/getIdFormDetail' 接口返回数据
            form={form} // form控件
            isNewForm={false} // 是否渲染需要当前用户填写的审核表单 为false只会渲染历史回显表单
          />
        )}
      </Spin>
    </Shell>
  );
};

DetailPage = Form.create()(DetailPage);

export default ({ hasGoBack = true, ...rest }) => {
  const WithGoBack = withGoBack(DetailPage);
  return hasGoBack ? <WithGoBack {...rest} /> : <DetailPage {...rest} />;
};
