import { uaaRequest } from '../../one_stop_public/utils/request';

const api = '/DataObjApi';

export default {
  namespace: 'formList',

  state: {
    list: [],
    data: {
      list: [],
      pagination: {},
    },
  },

  effects: {
    * clear({ payload, callback }, { call, put }) {
      yield put({
        type: 'clearAll',
        payload: {},
      });
    },
    * getHead({ payload, callback }, { call, put }) {
      console.log('getHead',);
      const response = yield call(uaaRequest, '/DataColumnApi/getHeaderList', payload);
      console.log(' header response', response);
      if (!response) {
        yield put({ type: 'nom' });
        return;
      }
      if (callback) callback(response);
    },
    * fetch({ payload, callback }, { call, put }) {
      const response = yield call(uaaRequest, '/DataObjApi/getFormDataPage', payload);
      if (!response) {
        yield put({ type: 'nom' });
        return;
      }
    /*  yield put({
        type: 'page',
        payload: {
          ...response,
        },
      });*/
      if (callback) callback(response);

    },
    * add({ payload, callback }, { call, put }) {
      const response = yield call(apiRequest, api + '/addFormData',
        {
          data: JSON.stringify(payload.params),
          isAdd: payload.isAdd,
          objId: payload.objId,
        });
      if (!response) {
        yield put({ type: 'nom' });
        return;
      }
      if (callback) callback(response);
    },
    * delete({ payload, callback }, { call, put }) {
      const response = yield call(apiRequest, api + '/deleteFormData', payload);
      if (!response) {
        yield put({ type: 'nom' });
        return;
      }
      if (callback) callback(response);
    },
    * getDetail({ payload, callback }, { call, put }) {
      const response = yield call(apiRequest, api + '/getFormData', payload);
      if (!response) {
        yield put({ type: 'nom' });
        return;
      }
      if (callback) callback(response);
    },
  },
  reducers: {
    clearAll(state, action) {
      return {
        ...state,
        data: {
          list: [],
          pagination: {},
        },
      };
    },
    list(state, action) {
      return {
        ...state,
        list: action.payload,
      };
    },
    page(state, { payload }) {
      return {
        ...state,
        data: {
          list: payload.rows,
          pagination: {
            current: payload.pageNo,
            pageSize: payload.pageSize,
            total: Number(payload.total),
          },
        },
      };
    },
    nom(state, action) {
      return { ...state };
    },
  },
};
